// -*- c++ -*-

#include <iostream>
#include <vector>

#include <lemon/list_graph.h>
#include <lemon/smart_graph.h>
#include <lemon/full_graph.h>

#include "test_tools.h"
#include "graph_utils_test.h"


using namespace lemon;


int main() {
  ///\file
  { // checking list graph
    checkGraphCounters<ListGraph>();
  }
  { // checking smart graph
    checkGraphCounters<SmartGraph>();
  }

  std::cout << __FILE__ ": All tests passed.\n";

  return 0;
}
